﻿@model LoyaltyPointEngine.Model.Object.Member.ProductBeforeModel
@{
    string imageHost = Settings.GetValueByKey(LoyaltyPointEngine.Common.SiteSetting.ASSET_URL);
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit Product Before</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Edit Product Before</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.ProductBefore.Edit(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formEditProduct" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured:
                            <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Is Pregnancy Product</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsPregnancyProduct, new { @class = "form-control uniform" })
                        </div>
                    </div>


                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
</div>
        <!-- /Validation Example 1 -->
    </div>
</div>

<div class="modal fade" id="imageViewer" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel">View Image</h4>
            </div>
            <div class="modal-body">
                <div>
                    <img id="blah" src="#" alt="your image" />
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>


@section FooterScript{
    <script>
        function readURL(url) {
            $('#blah').attr('src', url);
        }
        $(document).ready(function () {

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formEditProduct").validate();

        });
    </script>
}